﻿using System.Web;
using System.Web.Mvc;
using System.Collections.Generic;

namespace Tip38.Controllers
{
    public class FormActionInvoker : ControllerActionInvoker
    {

        public FormActionInvoker(ControllerContext controllerContext) : base(controllerContext) { }


        public override bool InvokeAction(string actionName, IDictionary<string, object> values)
        {
            // Add Forms Collection
            HttpContextBase context = this.ControllerContext.HttpContext;
            values.Add("formParams", context.Request.Form);

            return base.InvokeAction(actionName, values);
        }
    }

}
