﻿using System.Web.Mvc;

using LinqToSqlExtensions;
using Tip38.Models;
using System.Collections.Specialized;

namespace Tip38.Controllers
{
    public class MovieController : Controller
    {
        private MovieDataContext _dataContext;

        public MovieController()
        {
            _dataContext = new MovieDataContext();
        }

        public ActionResult Index()
        {
            return View("Index", _dataContext.Select<Movie>());
        }

        public ActionResult Edit(int? id)
        {
            return View("Edit", _dataContext.Get<Movie>(id));
        }

        public ActionResult Update(int? id, NameValueCollection formParams)
        {
            _dataContext.Save<Movie>(formParams, id);
            return RedirectToAction("Index");
        }


    }
}
