Imports Microsoft.VisualBasic
Imports System.Web
Imports System.Web.Mvc
Imports System.Collections.Generic

Public Class FormActionInvoker
    Inherits ControllerActionInvoker

    Public Sub New(ByVal controllerContext As ControllerContext)
        MyBase.New(controllerContext)
    End Sub


    Public Overrides Function InvokeAction(ByVal actionName As String, ByVal values As IDictionary(Of String, Object)) As Boolean
        ' Add Forms Collection
        Dim context As HttpContextBase = Me.ControllerContext.HttpContext
        values.Add("formParams", context.Request.Form)

        Return MyBase.InvokeAction(actionName, values)
    End Function
End Class

