<%@ Page Title="" Language="vb" MasterPageFile="~/Views/Shared/Site.Master" AutoEventWireup="true" CodeBehind="Error.aspx.vb" Inherits="Tip38.Views.Shared.Error" %>
<asp:Content ID="Content1" ContentPlaceHolderID="MainContent" runat="server">
	<h2>
		Sorry, an error occurred while processing your request.
	</h2>
<%
	   If (Not ViewContext.HttpContext.IsCustomErrorEnabled) Then
%>
		<h3>
			Exception details:
		</h3>
		<div style="overflow: auto;">
			<%
				Dim exceptions As Stack(Of Exception) = New Stack(Of Exception)()
				Dim ex As Exception = ViewData.Model.Exception
				Do While ex IsNot Nothing
					exceptions.Push(ex)
					ex = ex.InnerException
				Loop
				For Each ex As Exception In exceptions
					%>
						<div>
							<b><%=Html.Encode(ex.GetType().FullName)%></b>: <%=Html.Encode(ex.Message)%>
						</div>
						<div>
							<pre style="font-size: medium;"><%=Html.Encode(ex.StackTrace)%></pre>
						</div>
					<%
				Next ex
			%>
		</div>
<%
	   End If
%>
</asp:Content>
