Imports Microsoft.VisualBasic
Imports System
Imports System.Web.Mvc

Public Class FormActionInvokerControllerFactory
    Inherits DefaultControllerFactory
    Protected Overrides Function GetControllerInstance(ByVal controllerType As Type) As IController
        Dim controller = TryCast(MyBase.GetControllerInstance(controllerType), Controller)
        If controller IsNot Nothing Then
            Dim context = New ControllerContext(Me.RequestContext, controller)
            controller.ActionInvoker = New FormActionInvoker(context)
        End If
        Return controller
    End Function
End Class
