Imports Microsoft.VisualBasic
Imports System.Web.Mvc

Imports LinqToSqlExtensions
Imports System.Collections.Specialized

Public Class MovieController
    Inherits Controller
    Private _dataContext As MovieDataContext

    Public Sub New()
        _dataContext = New MovieDataContext()
    End Sub

    Public Function Index() As ActionResult
        Return View("Index", _dataContext.Select(Of Movie)())
    End Function

    Public Function Edit(ByVal id As Integer?) As ActionResult
        Return View("Edit", _dataContext.Get(Of Movie)(id))
    End Function

    Public Function Update(ByVal id As Integer?, ByVal formParams As NameValueCollection) As ActionResult
        _dataContext.Save(Of Movie)(formParams, id)
        Return RedirectToAction("Index")
    End Function


End Class
