<%@ Page Language="vb" MasterPageFile="~/Views/Shared/Site.Master" AutoEventWireup="true" CodeBehind="ChangePassword.aspx.vb" Inherits="Tip38.Views.Account.ChangePassword" %>

<asp:Content ID="changePasswordContent" ContentPlaceHolderID="MainContent" runat="server">
	<h2>Change Password</h2>
	<p>
		Use the form below to change your password. 
	</p>
	<p>
		New passwords are required to be a minimum of <%=Html.Encode(ViewData("PasswordLength"))%> characters in length.
	</p>
	<%
		Dim errors As IList(Of String) = TryCast(ViewData("errors"), IList(Of String))
		If errors IsNot Nothing Then
			%>
				<ul class="error">
<%
				   For Each [error] As String In errors
%>
					<li><%=Html.Encode([error])%></li>
<%
				   Next [error]
%>
				</ul>
			<%
		End If
		 %>
	<form method="post" action="<%=Html.AttributeEncode(Url.Action("ChangePassword"))%>">
		<div>
			<table>
				<tr>
					<td>Current password:</td>
					<td><%=Html.Password("currentPassword")%></td>
				</tr>
				<tr>
					<td>New password:</td>
					<td><%=Html.Password("newPassword")%></td>
				</tr>
				<tr>
					<td>Confirm new password:</td>
					<td><%=Html.Password("confirmPassword")%></td>
				</tr>
				<tr>
					<td></td>
					<td><input type="submit" value="Change Password" /></td>
				</tr>
			</table>
		</div>
	</form>
</asp:Content>
